Package org.silverpeas.components.scheduleevent.view

## Enum AvailabilityFactoryVO.Availability

- java.lang.Object
- - java.lang.Enum<AvailabilityFactoryVO.Availability>
  - - org.silverpeas.components.scheduleevent.view.AvailabilityFactoryVO.Availability

- All Implemented Interfaces:
    `Serializable`, `Comparable<AvailabilityFactoryVO.Availability>`
  Enclosing interface:
    AvailabilityFactoryVO

      public static enum AvailabilityFactoryVO.Availability
      extends Enum<AvailabilityFactoryVO.Availability>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `AGREE` |
    `AWAIT_ANSWER` |
    `DISABLE` |
    `DISAGREE` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static AvailabilityFactoryVO.Availability` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static AvailabilityFactoryVO.Availability[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DISABLE

          public static final AvailabilityFactoryVO.Availability DISABLE

    - #### AGREE

          public static final AvailabilityFactoryVO.Availability AGREE

    - #### DISAGREE

          public static final AvailabilityFactoryVO.Availability DISAGREE

    - #### AWAIT_ANSWER

          public static final AvailabilityFactoryVO.Availability AWAIT_ANSWER

  - ### Method Detail

    - #### values

          public static AvailabilityFactoryVO.Availability[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AvailabilityFactoryVO.Availability c : AvailabilityFactoryVO.Availability.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AvailabilityFactoryVO.Availability valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null